# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-bitlyapi
%global modname bitlyapi

Name:             python-module-bitlyapi
Version:          0.1.1
Release:          alt1_4
Summary:          A thin python wrapper for the bit.ly REST API

Group:            Development/Python
License:          BSD
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/b/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
Source44: import.info

%description

This is a thin Python wrapper for the bit.ly API.  Basic usage looks
like this:

    >>> import bitlyapi
    >>> b = bitlyapi.BitLy(api_user, api_key)
    >>> res = b.shorten(longUrl='http://www.google.com/')
    >>> print res['url']
    'http://bit.ly/6Hwstb'
    >>> print res['long_url']
    'http://www.google.com/'

%prep
%setup -q -n %{modname}-%{version}

# Remove the shebang
%{__awk} '{if (NR!=1) {print}}' bitlyapi/bitly.py > bitlyapi/bitly.py.new
%{__mv} bitlyapi/bitly.py.new bitlyapi/bitly.py

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py test


%files
%doc README.rst LICENSE CHANGES.rst
%{_bindir}/bitly

%{python_sitelibdir_noarch}/* 

%changelog
* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_4
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_2
- initial fc import

